/* ParsedEvent.c generated by valac 0.38.4, the Vala compiler
 * generated from ParsedEvent.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2011-2015 elementary LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Mario Guerriero <marioguerriero33@gmail.com>
 *              pantor
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>


#define MAYA_SERVICES_TYPE_PARSED_EVENT (maya_services_parsed_event_get_type ())
#define MAYA_SERVICES_PARSED_EVENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_SERVICES_TYPE_PARSED_EVENT, MayaServicesParsedEvent))
#define MAYA_SERVICES_PARSED_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_SERVICES_TYPE_PARSED_EVENT, MayaServicesParsedEventClass))
#define MAYA_SERVICES_IS_PARSED_EVENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_SERVICES_TYPE_PARSED_EVENT))
#define MAYA_SERVICES_IS_PARSED_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_SERVICES_TYPE_PARSED_EVENT))
#define MAYA_SERVICES_PARSED_EVENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_SERVICES_TYPE_PARSED_EVENT, MayaServicesParsedEventClass))

typedef struct _MayaServicesParsedEvent MayaServicesParsedEvent;
typedef struct _MayaServicesParsedEventClass MayaServicesParsedEventClass;
typedef struct _MayaServicesParsedEventPrivate MayaServicesParsedEventPrivate;
enum  {
	MAYA_SERVICES_PARSED_EVENT_0_PROPERTY,
	MAYA_SERVICES_PARSED_EVENT_NUM_PROPERTIES
};
static GParamSpec* maya_services_parsed_event_properties[MAYA_SERVICES_PARSED_EVENT_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))

struct _MayaServicesParsedEvent {
	GObject parent_instance;
	MayaServicesParsedEventPrivate * priv;
	gchar* title;
	gchar* location;
	gchar* participants;
	GDateTime* from;
	GDateTime* to;
	gboolean all_day;
};

struct _MayaServicesParsedEventClass {
	GObjectClass parent_class;
};


static gpointer maya_services_parsed_event_parent_class = NULL;

GType maya_services_parsed_event_get_type (void) G_GNUC_CONST;
MayaServicesParsedEvent* maya_services_parsed_event_new (const gchar* _title, GDateTime* _from, GDateTime* _to, const gchar* _location, gboolean _all_day, const gchar* _participants);
MayaServicesParsedEvent* maya_services_parsed_event_construct (GType object_type, const gchar* _title, GDateTime* _from, GDateTime* _to, const gchar* _location, gboolean _all_day, const gchar* _participants);
void maya_services_parsed_event_set_length_to_minutes (MayaServicesParsedEvent* self, gint minutes);
void maya_services_parsed_event_set_length_to_hours (MayaServicesParsedEvent* self, gint hours);
void maya_services_parsed_event_set_length_to_days (MayaServicesParsedEvent* self, gint days);
void maya_services_parsed_event_set_length_to_weeks (MayaServicesParsedEvent* self, gint weeks);
void maya_services_parsed_event_from_set_second (MayaServicesParsedEvent* self, gint second);
void maya_services_parsed_event_to_set_second (MayaServicesParsedEvent* self, gint second);
void maya_services_parsed_event_from_set_minute (MayaServicesParsedEvent* self, gint minute);
void maya_services_parsed_event_to_set_minute (MayaServicesParsedEvent* self, gint minute);
static gint maya_services_parsed_event_hour_from_half (MayaServicesParsedEvent* self, gint hour, const gchar* half);
void maya_services_parsed_event_from_set_hour (MayaServicesParsedEvent* self, gint hour, const gchar* half);
void maya_services_parsed_event_to_set_hour (MayaServicesParsedEvent* self, gint hour, const gchar* half);
void maya_services_parsed_event_from_set_day (MayaServicesParsedEvent* self, gint day);
void maya_services_parsed_event_to_set_day (MayaServicesParsedEvent* self, gint day);
void maya_services_parsed_event_from_set_month (MayaServicesParsedEvent* self, gint month);
void maya_services_parsed_event_to_set_month (MayaServicesParsedEvent* self, gint month);
void maya_services_parsed_event_from_set_year (MayaServicesParsedEvent* self, gint year);
void maya_services_parsed_event_to_set_year (MayaServicesParsedEvent* self, gint year);
void maya_services_parsed_event_set_all_day (MayaServicesParsedEvent* self);
void maya_services_parsed_event_unset_all_day (MayaServicesParsedEvent* self);
void maya_services_parsed_event_set_one_entire_day (MayaServicesParsedEvent* self);
void maya_services_parsed_event_if_elapsed_delay_to_next_day (MayaServicesParsedEvent* self, GDateTime* simulated_dt);
void maya_services_parsed_event_if_elapsed_delay_to_next_week (MayaServicesParsedEvent* self, GDateTime* simulated_dt);
void maya_services_parsed_event_if_elapsed_delay_to_next_month (MayaServicesParsedEvent* self, GDateTime* simulated_dt);
void maya_services_parsed_event_if_elapsed_delay_to_next_year (MayaServicesParsedEvent* self, GDateTime* simulated_dt);
static void maya_services_parsed_event_finalize (GObject * obj);


static gpointer _g_date_time_ref0 (gpointer self) {
#line 37 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	return self ? g_date_time_ref (self) : NULL;
#line 103 "ParsedEvent.c"
}


MayaServicesParsedEvent* maya_services_parsed_event_construct (GType object_type, const gchar* _title, GDateTime* _from, GDateTime* _to, const gchar* _location, gboolean _all_day, const gchar* _participants) {
	MayaServicesParsedEvent * self = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	GDateTime* _tmp6_;
	GDateTime* _tmp7_;
	GDateTime* _tmp8_;
	GDateTime* _tmp9_;
	gboolean _tmp10_;
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_val_if_fail (_title != NULL, NULL);
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_val_if_fail (_location != NULL, NULL);
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_val_if_fail (_participants != NULL, NULL);
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self = (MayaServicesParsedEvent*) g_object_new (object_type, NULL);
#line 34 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = _title;
#line 34 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 34 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_free0 (self->title);
#line 34 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->title = _tmp1_;
#line 35 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = _location;
#line 35 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 35 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_free0 (self->location);
#line 35 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->location = _tmp3_;
#line 36 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = _participants;
#line 36 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 36 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_free0 (self->participants);
#line 36 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->participants = _tmp5_;
#line 37 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp6_ = _from;
#line 37 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp7_ = _g_date_time_ref0 (_tmp6_);
#line 37 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 37 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->from = _tmp7_;
#line 38 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp8_ = _to;
#line 38 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp9_ = _g_date_time_ref0 (_tmp8_);
#line 38 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 38 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp9_;
#line 39 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp10_ = _all_day;
#line 39 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->all_day = _tmp10_;
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	return self;
#line 174 "ParsedEvent.c"
}


MayaServicesParsedEvent* maya_services_parsed_event_new (const gchar* _title, GDateTime* _from, GDateTime* _to, const gchar* _location, gboolean _all_day, const gchar* _participants) {
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	return maya_services_parsed_event_construct (MAYA_SERVICES_TYPE_PARSED_EVENT, _title, _from, _to, _location, _all_day, _participants);
#line 181 "ParsedEvent.c"
}


void maya_services_parsed_event_set_length_to_minutes (MayaServicesParsedEvent* self, gint minutes) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
#line 42 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 43 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 43 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = minutes;
#line 43 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_add_minutes (_tmp0_, _tmp1_);
#line 43 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 43 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp2_;
#line 201 "ParsedEvent.c"
}


void maya_services_parsed_event_set_length_to_hours (MayaServicesParsedEvent* self, gint hours) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
#line 46 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 47 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 47 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = hours;
#line 47 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_add_hours (_tmp0_, _tmp1_);
#line 47 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 47 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp2_;
#line 221 "ParsedEvent.c"
}


void maya_services_parsed_event_set_length_to_days (MayaServicesParsedEvent* self, gint days) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = days;
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_add_days (_tmp0_, _tmp1_);
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp2_;
#line 241 "ParsedEvent.c"
}


void maya_services_parsed_event_set_length_to_weeks (MayaServicesParsedEvent* self, gint weeks) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
#line 54 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 55 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = weeks;
#line 55 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_add_days (_tmp0_, 7 * _tmp1_);
#line 55 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 55 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp2_;
#line 261 "ParsedEvent.c"
}


void maya_services_parsed_event_from_set_second (MayaServicesParsedEvent* self, gint second) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
	gint _tmp3_;
	GDateTime* _tmp4_;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = second;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = self->from;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_date_time_get_second (_tmp2_);
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = g_date_time_add_seconds (_tmp0_, (gdouble) (_tmp1_ - _tmp3_));
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->from = _tmp4_;
#line 287 "ParsedEvent.c"
}


void maya_services_parsed_event_to_set_second (MayaServicesParsedEvent* self, gint second) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
	gint _tmp3_;
	GDateTime* _tmp4_;
#line 62 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->to;
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = second;
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = self->to;
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_date_time_get_second (_tmp2_);
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = g_date_time_add_seconds (_tmp0_, (gdouble) (_tmp1_ - _tmp3_));
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp4_;
#line 313 "ParsedEvent.c"
}


void maya_services_parsed_event_from_set_minute (MayaServicesParsedEvent* self, gint minute) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
	gint _tmp3_;
	GDateTime* _tmp4_;
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = minute;
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = self->from;
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_date_time_get_minute (_tmp2_);
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = g_date_time_add_minutes (_tmp0_, _tmp1_ - _tmp3_);
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->from = _tmp4_;
#line 339 "ParsedEvent.c"
}


void maya_services_parsed_event_to_set_minute (MayaServicesParsedEvent* self, gint minute) {
	GDateTime* _tmp0_;
	gint _tmp1_;
	GDateTime* _tmp2_;
	gint _tmp3_;
	GDateTime* _tmp4_;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->to;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = minute;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = self->to;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_date_time_get_minute (_tmp2_);
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = g_date_time_add_minutes (_tmp0_, _tmp1_ - _tmp3_);
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp4_;
#line 365 "ParsedEvent.c"
}


static gint maya_services_parsed_event_hour_from_half (MayaServicesParsedEvent* self, gint hour, const gchar* half) {
	gint result = 0;
	gint _tmp0_;
	const gchar* _tmp2_;
	const gchar* _tmp4_;
	const gchar* _tmp6_;
	gint _tmp9_;
#line 74 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 74 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_val_if_fail (half != NULL, 0);
#line 75 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = hour;
#line 75 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 12) {
#line 384 "ParsedEvent.c"
		gint _tmp1_;
#line 76 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = hour;
#line 76 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		result = _tmp1_;
#line 76 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		return result;
#line 392 "ParsedEvent.c"
	}
#line 78 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = half;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (g_strcmp0 (_tmp2_, "pm") == 0) {
#line 398 "ParsedEvent.c"
		gint _tmp3_;
#line 79 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = hour;
#line 79 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		result = _tmp3_ + 12;
#line 79 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		return result;
#line 406 "ParsedEvent.c"
	}
#line 81 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = half;
#line 81 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (g_strcmp0 (_tmp4_, "p") == 0) {
#line 412 "ParsedEvent.c"
		gint _tmp5_;
#line 82 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = hour;
#line 82 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		result = _tmp5_ + 12;
#line 82 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		return result;
#line 420 "ParsedEvent.c"
	}
#line 84 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp6_ = half;
#line 84 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (g_strcmp0 (_tmp6_, "") == 0) {
#line 426 "ParsedEvent.c"
		gint _tmp7_;
#line 85 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp7_ = hour;
#line 85 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		if (_tmp7_ < 8) {
#line 432 "ParsedEvent.c"
			gint _tmp8_;
#line 86 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
			_tmp8_ = hour;
#line 86 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
			hour = _tmp8_ + 12;
#line 438 "ParsedEvent.c"
		}
	}
#line 90 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp9_ = hour;
#line 90 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	result = _tmp9_;
#line 90 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	return result;
#line 447 "ParsedEvent.c"
}


void maya_services_parsed_event_from_set_hour (MayaServicesParsedEvent* self, gint hour, const gchar* half) {
	gint _tmp0_;
	const gchar* _tmp1_;
	gint _tmp2_;
	GDateTime* _tmp3_;
	gint _tmp4_;
	GDateTime* _tmp5_;
	gint _tmp6_;
	GDateTime* _tmp7_;
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (half != NULL);
#line 94 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = hour;
#line 94 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = half;
#line 94 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = maya_services_parsed_event_hour_from_half (self, _tmp0_, _tmp1_);
#line 94 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	hour = _tmp2_;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = self->from;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = hour;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp5_ = self->from;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp6_ = g_date_time_get_hour (_tmp5_);
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp7_ = g_date_time_add_hours (_tmp3_, _tmp4_ - _tmp6_);
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->from = _tmp7_;
#line 486 "ParsedEvent.c"
}


void maya_services_parsed_event_to_set_hour (MayaServicesParsedEvent* self, gint hour, const gchar* half) {
	gint _tmp0_;
	const gchar* _tmp1_;
	gint _tmp2_;
	GDateTime* _tmp3_;
	gint _tmp4_;
	GDateTime* _tmp5_;
	gint _tmp6_;
	GDateTime* _tmp7_;
#line 98 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 98 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (half != NULL);
#line 99 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = hour;
#line 99 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = half;
#line 99 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = maya_services_parsed_event_hour_from_half (self, _tmp0_, _tmp1_);
#line 99 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	hour = _tmp2_;
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = self->to;
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = hour;
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp5_ = self->to;
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp6_ = g_date_time_get_hour (_tmp5_);
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp7_ = g_date_time_add_hours (_tmp3_, _tmp4_ - _tmp6_);
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp7_;
#line 525 "ParsedEvent.c"
}


void maya_services_parsed_event_from_set_day (MayaServicesParsedEvent* self, gint day) {
	gint _tmp0_;
#line 103 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 104 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = day;
#line 104 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 0) {
#line 537 "ParsedEvent.c"
		GDateTime* _tmp1_;
		gint _tmp2_;
		GDateTime* _tmp3_;
		gint _tmp4_;
		GDateTime* _tmp5_;
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = self->from;
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp2_ = day;
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_get_day_of_month (_tmp3_);
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = g_date_time_add_days (_tmp1_, _tmp2_ - _tmp4_);
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp5_;
#line 557 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_to_set_day (MayaServicesParsedEvent* self, gint day) {
	gint _tmp0_;
#line 108 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 109 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = day;
#line 109 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 0) {
#line 570 "ParsedEvent.c"
		GDateTime* _tmp1_;
		gint _tmp2_;
		GDateTime* _tmp3_;
		gint _tmp4_;
		GDateTime* _tmp5_;
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = self->to;
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp2_ = day;
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->to;
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_get_day_of_month (_tmp3_);
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = g_date_time_add_days (_tmp1_, _tmp2_ - _tmp4_);
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 110 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp5_;
#line 590 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_from_set_month (MayaServicesParsedEvent* self, gint month) {
	gint _tmp0_;
#line 113 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 114 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = month;
#line 114 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 0) {
#line 603 "ParsedEvent.c"
		GDateTime* _tmp1_;
		gint _tmp2_;
		GDateTime* _tmp3_;
		gint _tmp4_;
		GDateTime* _tmp5_;
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = self->from;
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp2_ = month;
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_get_month (_tmp3_);
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = g_date_time_add_months (_tmp1_, _tmp2_ - _tmp4_);
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp5_;
#line 623 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_to_set_month (MayaServicesParsedEvent* self, gint month) {
	gint _tmp0_;
#line 118 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 119 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = month;
#line 119 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 0) {
#line 636 "ParsedEvent.c"
		GDateTime* _tmp1_;
		gint _tmp2_;
		GDateTime* _tmp3_;
		gint _tmp4_;
		GDateTime* _tmp5_;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = self->to;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp2_ = month;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->to;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_get_month (_tmp3_);
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = g_date_time_add_months (_tmp1_, _tmp2_ - _tmp4_);
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp5_;
#line 656 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_from_set_year (MayaServicesParsedEvent* self, gint year) {
	gint _tmp0_;
#line 123 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 124 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = year;
#line 124 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 0) {
#line 669 "ParsedEvent.c"
		GDateTime* _tmp1_;
		gint _tmp2_;
		GDateTime* _tmp3_;
		gint _tmp4_;
		GDateTime* _tmp5_;
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = self->from;
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp2_ = year;
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_get_year (_tmp3_);
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = g_date_time_add_years (_tmp1_, _tmp2_ - _tmp4_);
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 125 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp5_;
#line 689 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_to_set_year (MayaServicesParsedEvent* self, gint year) {
	gint _tmp0_;
#line 128 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 129 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = year;
#line 129 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp0_ > 0) {
#line 702 "ParsedEvent.c"
		GDateTime* _tmp1_;
		gint _tmp2_;
		GDateTime* _tmp3_;
		gint _tmp4_;
		GDateTime* _tmp5_;
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp1_ = self->to;
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp2_ = year;
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->to;
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_get_year (_tmp3_);
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = g_date_time_add_years (_tmp1_, _tmp2_ - _tmp4_);
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 130 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp5_;
#line 722 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_set_all_day (MayaServicesParsedEvent* self) {
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	gint _tmp2_;
	GDateTime* _tmp3_;
	GDateTime* _tmp4_;
	GDateTime* _tmp5_;
	gint _tmp6_;
	GDateTime* _tmp7_;
	GDateTime* _tmp8_;
	GDateTime* _tmp9_;
	gint _tmp10_;
	GDateTime* _tmp11_;
	GDateTime* _tmp12_;
	GDateTime* _tmp13_;
	gint _tmp14_;
	GDateTime* _tmp15_;
#line 135 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = self->from;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_get_hour (_tmp1_);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_date_time_add_hours (_tmp0_, -_tmp2_);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = _tmp3_;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp5_ = self->from;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp6_ = g_date_time_get_minute (_tmp5_);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp7_ = g_date_time_add_minutes (_tmp4_, -_tmp6_);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->from = _tmp7_;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (_tmp4_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp8_ = self->to;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp9_ = self->to;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp10_ = g_date_time_get_hour (_tmp9_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp11_ = g_date_time_add_hours (_tmp8_, -_tmp10_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp12_ = _tmp11_;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp13_ = self->to;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp14_ = g_date_time_get_minute (_tmp13_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp15_ = g_date_time_add_minutes (_tmp12_, -_tmp14_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp15_;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (_tmp12_);
#line 138 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->all_day = TRUE;
#line 792 "ParsedEvent.c"
}


void maya_services_parsed_event_unset_all_day (MayaServicesParsedEvent* self) {
#line 141 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 142 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	maya_services_parsed_event_set_length_to_hours (self, 1);
#line 143 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->all_day = FALSE;
#line 803 "ParsedEvent.c"
}


void maya_services_parsed_event_set_one_entire_day (MayaServicesParsedEvent* self) {
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	gint _tmp2_;
	GDateTime* _tmp3_;
	GDateTime* _tmp4_;
	GDateTime* _tmp5_;
	gint _tmp6_;
	GDateTime* _tmp7_;
	GDateTime* _tmp8_;
	GDateTime* _tmp9_;
#line 146 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = self->from;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_get_hour (_tmp1_);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp3_ = g_date_time_add_hours (_tmp0_, -_tmp2_);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp4_ = _tmp3_;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp5_ = self->from;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp6_ = g_date_time_get_minute (_tmp5_);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp7_ = g_date_time_add_minutes (_tmp4_, -_tmp6_);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->from = _tmp7_;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (_tmp4_);
#line 148 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp8_ = self->from;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp9_ = _g_date_time_ref0 (_tmp8_);
#line 148 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 148 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->to = _tmp9_;
#line 149 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self->all_day = TRUE;
#line 852 "ParsedEvent.c"
}


void maya_services_parsed_event_if_elapsed_delay_to_next_day (MayaServicesParsedEvent* self, GDateTime* simulated_dt) {
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	gint _tmp2_;
#line 154 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 154 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (simulated_dt != NULL);
#line 155 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 155 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = simulated_dt;
#line 155 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_compare (_tmp0_, _tmp1_);
#line 155 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp2_ < 0) {
#line 872 "ParsedEvent.c"
		GDateTime* _tmp3_;
		GDateTime* _tmp4_;
		GDateTime* _tmp5_;
		GDateTime* _tmp6_;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_add_days (_tmp3_, 1);
#line 156 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 156 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp4_;
#line 157 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = self->to;
#line 157 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp6_ = g_date_time_add_days (_tmp5_, 1);
#line 157 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 157 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp6_;
#line 893 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_if_elapsed_delay_to_next_week (MayaServicesParsedEvent* self, GDateTime* simulated_dt) {
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	gint _tmp2_;
#line 161 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 161 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (simulated_dt != NULL);
#line 162 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = simulated_dt;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_compare (_tmp0_, _tmp1_);
#line 162 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp2_ < 0) {
#line 914 "ParsedEvent.c"
		GDateTime* _tmp3_;
		GDateTime* _tmp4_;
		GDateTime* _tmp5_;
		GDateTime* _tmp6_;
#line 163 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 163 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_add_days (_tmp3_, 7);
#line 163 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 163 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp4_;
#line 164 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = self->to;
#line 164 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp6_ = g_date_time_add_days (_tmp5_, 7);
#line 164 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 164 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp6_;
#line 935 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_if_elapsed_delay_to_next_month (MayaServicesParsedEvent* self, GDateTime* simulated_dt) {
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	gint _tmp2_;
#line 168 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 168 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (simulated_dt != NULL);
#line 169 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 169 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = simulated_dt;
#line 169 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_compare (_tmp0_, _tmp1_);
#line 169 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp2_ < 0) {
#line 956 "ParsedEvent.c"
		GDateTime* _tmp3_;
		GDateTime* _tmp4_;
		GDateTime* _tmp5_;
		GDateTime* _tmp6_;
#line 170 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 170 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_add_months (_tmp3_, 1);
#line 170 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 170 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp4_;
#line 171 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = self->to;
#line 171 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp6_ = g_date_time_add_months (_tmp5_, 1);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp6_;
#line 977 "ParsedEvent.c"
	}
}


void maya_services_parsed_event_if_elapsed_delay_to_next_year (MayaServicesParsedEvent* self, GDateTime* simulated_dt) {
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	gint _tmp2_;
#line 175 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (self != NULL);
#line 175 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	g_return_if_fail (simulated_dt != NULL);
#line 176 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp0_ = self->from;
#line 176 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp1_ = simulated_dt;
#line 176 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_tmp2_ = g_date_time_compare (_tmp0_, _tmp1_);
#line 176 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	if (_tmp2_ < 0) {
#line 998 "ParsedEvent.c"
		GDateTime* _tmp3_;
		GDateTime* _tmp4_;
		GDateTime* _tmp5_;
		GDateTime* _tmp6_;
#line 177 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp3_ = self->from;
#line 177 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp4_ = g_date_time_add_years (_tmp3_, 1);
#line 177 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->from);
#line 177 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->from = _tmp4_;
#line 178 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp5_ = self->to;
#line 178 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_tmp6_ = g_date_time_add_years (_tmp5_, 1);
#line 178 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		_g_date_time_unref0 (self->to);
#line 178 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
		self->to = _tmp6_;
#line 1019 "ParsedEvent.c"
	}
}


static void maya_services_parsed_event_class_init (MayaServicesParsedEventClass * klass) {
#line 24 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	maya_services_parsed_event_parent_class = g_type_class_peek_parent (klass);
#line 24 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_services_parsed_event_finalize;
#line 1029 "ParsedEvent.c"
}


static void maya_services_parsed_event_instance_init (MayaServicesParsedEvent * self) {
}


static void maya_services_parsed_event_finalize (GObject * obj) {
	MayaServicesParsedEvent * self;
#line 24 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_SERVICES_TYPE_PARSED_EVENT, MayaServicesParsedEvent);
#line 26 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_free0 (self->title);
#line 27 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_free0 (self->location);
#line 28 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_free0 (self->participants);
#line 29 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->from);
#line 30 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	_g_date_time_unref0 (self->to);
#line 24 "/builddir/build/BUILD/calendar-0.4.1/src/EventParser/ParsedEvent.vala"
	G_OBJECT_CLASS (maya_services_parsed_event_parent_class)->finalize (obj);
#line 1053 "ParsedEvent.c"
}


GType maya_services_parsed_event_get_type (void) {
	static volatile gsize maya_services_parsed_event_type_id__volatile = 0;
	if (g_once_init_enter (&maya_services_parsed_event_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaServicesParsedEventClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_services_parsed_event_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaServicesParsedEvent), 0, (GInstanceInitFunc) maya_services_parsed_event_instance_init, NULL };
		GType maya_services_parsed_event_type_id;
		maya_services_parsed_event_type_id = g_type_register_static (G_TYPE_OBJECT, "MayaServicesParsedEvent", &g_define_type_info, 0);
		g_once_init_leave (&maya_services_parsed_event_type_id__volatile, maya_services_parsed_event_type_id);
	}
	return maya_services_parsed_event_type_id__volatile;
}



